Package org.kapott.hbci.rewrite

## Class RInvalidSuppHBCIVersion

- java.lang.Object
- - org.kapott.hbci.rewrite.Rewrite
  - - org.kapott.hbci.rewrite.RInvalidSuppHBCIVersion

    public class RInvalidSuppHBCIVersion
    extends Rewrite

Korrigiert falsche HBCI-Versionen in den BPD.

### Constructor Summary

Constructors
`RInvalidSuppHBCIVersion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `incomingClearText​(java.lang.String st, MsgGen gen)`

### Methods inherited from class org.kapott.hbci.rewrite.Rewrite

`getData, incomingCrypted, incomingData, outgoingClearText, outgoingCrypted, outgoingSigned, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RInvalidSuppHBCIVersion

    public RInvalidSuppHBCIVersion()

### Method Detail

#### incomingClearText

    public java.lang.String incomingClearText​(java.lang.String st,
                                              MsgGen gen)

Overrides:
  `incomingClearText` in class `Rewrite`
See Also:
  `Rewrite.incomingClearText(java.lang.String, org.kapott.hbci.manager.MsgGen)`